CREATE TABLE ART_SERV_OBRA
(
  COD			NUMERIC(6) NOT NULL,
  DESCRIPCION	VARCHAR(200) NOT NULL,
  FAMI_COD		NUMERIC(2) NOT NULL,
  SUBF_COD		NUMERIC(2) NOT NULL,
  CLAS_COD		NUMERIC(2) NOT NULL,
  SUBC_COD		NUMERIC(3) NOT NULL,
  VAR_COD		NUMERIC(4) NOT NULL,
  VAR_UNME_COD	NUMERIC(3),
  UNME_COD		NUMERIC(3),
  IMP_COD		NUMERIC(2),
  IND_ART_SERV	VARCHAR(1) NOT NULL,
  IND_FRACCION	VARCHAR(1) NOT NULL,
  IND_GESTIONABLE	VARCHAR(1) NOT NULL,
  IND_AGRUPABLE	VARCHAR(1) NOT NULL,
  STOCKEABLE	VARCHAR(1),
  STOCK_CONTABLE	VARCHAR(1),
  IND_TIPO_DETALLE	VARCHAR(1),
  ODG			NUMERIC(6),
  ESP_TECNICAS	VARCHAR(2000),
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  COMPRABLE		VARCHAR(1) NOT NULL,
  CONSTRAINT ART_SERV_OBRA_PK PRIMARY KEY(COD)
);

CREATE TABLE FAMILIAS
(
  COD				NUMERIC(2) NOT NULL,
  DESCRIPCION		VARCHAR(60) NOT NULL,
  COMPRABLE			VARCHAR(1) NOT NULL,
  FECHA_BAJA		DATE,
  MOTIVO_BAJA		VARCHAR(200),
  CONSTRAINT FAMILIAS_PK PRIMARY KEY(COD)
);

CREATE TABLE SUBFLIAS
(
  FAMI_COD		NUMERIC(2) NOT NULL,
  COD			NUMERIC(2) NOT NULL,
  DESCRIPCION	VARCHAR(60) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT SUBFLIAS_PK PRIMARY KEY(FAMI_COD, COD)
);

CREATE TABLE CLASES
(
  FAMI_COD		NUMERIC(2) NOT NULL,
  SUBF_COD		NUMERIC(2) NOT NULL,
  COD			NUMERIC(2) NOT NULL,
  DESCRIPCION	VARCHAR(70) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT CLASES_PK PRIMARY KEY(FAMI_COD, SUBF_COD, COD)
);


CREATE TABLE SUBCLASES
(
  FAMI_COD		NUMERIC(2) NOT NULL,
  SUBF_COD		NUMERIC(2) NOT NULL,
  CLAS_COD		NUMERIC(2) NOT NULL,
  COD			NUMERIC(3) NOT NULL,
  DESCRIPCION	VARCHAR(255) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT SUBCLASES_PK PRIMARY KEY(FAMI_COD, SUBF_COD, CLAS_COD, COD)
);

CREATE TABLE ODGS
(
  ODG         	NUMERIC(6) NOT NULL,
  DESCRIPCION	VARCHAR(65) NOT NULL,
  FECHA_BAJA  	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT ODGS_PK PRIMARY KEY(ODG)
);

CREATE TABLE SINONIMOS
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  DESCRIPCION	VARCHAR(200) NOT NULL,
  FECHA_BAJA		DATE,
  MOTIVO_BAJA		VARCHAR(200),
  CONSTRAINT SINONIMOS_PK PRIMARY KEY(ARSE_COD, DESCRIPCION)
);

CREATE TABLE UNIDADES_MED
(
  COD			NUMERIC(3) NOT NULL,
  DESCRIPCION	VARCHAR(150) NOT NULL,
  TIPO		NUMERIC(2),
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT UNIDADES_MED_PK PRIMARY KEY(COD)
);

CREATE TABLE ART_UNIDADES_MED
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  UNME_COD		NUMERIC(3) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT ART_UNIDADES_MED_PK PRIMARY KEY(ARSE_COD, UNME_COD)
);

CREATE TABLE  IMPUESTOS
(
  COD			NUMERIC(2) NOT NULL,
  DESCRIPCION	VARCHAR(30) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT IMPUESTOS_PK PRIMARY KEY(COD)
);

CREATE TABLE  ART_IMPUESTOS
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  IMP_COD		NUMERIC(2) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT ART_IMPUESTOS_PK PRIMARY KEY(ARSE_COD, IMP_COD)
);

CREATE TABLE  PROPIEDADES
(
  COD			NUMERIC(4) NOT NULL,
  DESCRIPCION	VARCHAR(60) NOT NULL,
  UNME_COD		NUMERIC(3) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT PROPIEDADES_PK PRIMARY KEY(COD)
);

CREATE TABLE  MEDIDAS
(
  COD			NUMERIC(6) NOT NULL,
  DESCRIPCION	VARCHAR(250) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT MEDIDAS_PK PRIMARY KEY(COD)
);

CREATE TABLE  PRESENTACIONES
(
  COD			NUMERIC(3) NOT NULL,
  DESCRIPCION	VARCHAR(150) NOT NULL,
  UNME_COD		NUMERIC(3) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT PRESENTACIONES_PK PRIMARY KEY(COD)
);

CREATE TABLE  MED_VARIANTES
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  MED_COD_VARIANTE	NUMERIC(6) NOT NULL,
  PRES_COD		NUMERIC(3) NOT NULL,
  MED_COD_PRES	NUMERIC(6) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT MED_VARIANTES_PK PRIMARY KEY(ARSE_COD, MED_COD_VARIANTE, PRES_COD, MED_COD_PRES)
);

CREATE TABLE PROP_UNIDADES_MED
(
  PROP_COD		NUMERIC(4)	NOT NULL,
  UNME_COD		NUMERIC(3)	NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT VAR_UNIDAD_MED_PK PRIMARY KEY(PROP_COD, UNME_COD)
);

CREATE TABLE ART_ATRIBUTOS
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  PROP_COD		NUMERIC(4) NOT NULL,
  PROP_UNME_COD	NUMERIC(3) NOT NULL,
  PATRON		VARCHAR(150),
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT ATRIBUTO_PK PRIMARY KEY(ARSE_COD, PROP_COD, PROP_UNME_COD)
);

CREATE TABLE  COLORES
(
  COD			NUMERIC(3) NOT NULL,
  DESCRIPCION	VARCHAR(60) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT COLORES_PK PRIMARY KEY(COD)
);

CREATE TABLE  ART_COLORES
(
  ARSE_COD		NUMERIC(6) NOT NULL,
  COLO_COD		NUMERIC(3) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT ART_COLORES_PK PRIMARY KEY(ARSE_COD, COLO_COD)
);

CREATE TABLE  MARCAS
(
  COD			NUMERIC(4) NOT NULL,
  DESCRIPCION	VARCHAR(100) NOT NULL,
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT MARCAS_PK PRIMARY KEY(COD)
);

CREATE TABLE  DET_VARIANTES
(
  COD			NUMERIC(8) NOT NULL,
  DESCRIPCION	VARCHAR(300) NOT NULL,
  MARC_COD		NUMERIC(4) NOT NULL,
  ARSE_COD		NUMERIC(6) NOT NULL,
  MED_COD_VARIANTE	NUMERIC(6) NOT NULL,
  PRES_COD		NUMERIC(3) NOT NULL,
  MED_COD_PRES	NUMERIC(6) NOT NULL,
  ID_DNMA		NUMERIC(18),
  FECHA_BAJA	DATE,
  MOTIVO_BAJA	VARCHAR(200),
  CONSTRAINT DET_VARIANTES_PK PRIMARY KEY(COD)
);

CREATE TABLE  PORCS_IMPUESTOS
(
  IMP_COD		NUMERIC(2) NOT NULL,
  FECHA_VIGENCIA	DATE NOT NULL,
  PORCENTAJE	NUMERIC(4,2) NOT NULL,
  CONSTRAINT PORCS_IMPUESTOS_PK PRIMARY KEY(IMP_COD, FECHA_VIGENCIA)
);

